lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite for Android: free password hash cracker in your pocket
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date:	Wed, 16 Jul 2008 17:06:01 -0300
From:	Breno Leitao <leitao@...ux.vnet.ibm.com>
To:	Adrian Bunk <bunk@...nel.org>
CC:	netdev@...r.kernel.org, linux-next@...r.kernel.org
Subject: Re: Compilation error on drivers/md/raid6int8.c on net-next-2.6

Adrian Bunk wrote:
> On Wed, Jul 16, 2008 at 02:56:28PM -0300, Breno Leitao wrote:
>   
>> drivers/md/raid6int8.c: In function `raid6_int8_gen_syndrome':
>> drivers/md/raid6int8.c:185: error: unable to find a register to spill in  
>> class `FLOAT_REGS'
>> drivers/md/raid6int8.c:185: error: this is the insn:
>> (insn:HI 619 799 638 4 drivers/md/raid6int8.c:168 (set (mem:DI (plus:DI  
>> (reg/v/f:DI 122 [ p ])
>>                (reg/v:DI 66 ctr [orig:124 d ] [124])) [0 S8 A64])
>>        (reg/v:DI 129 [ wp0 ])) 320 {*movdi_internal64} (nil)
>>    (expr_list:REG_DEAD (reg/v:DI 129 [ wp0 ])
>>        (nil)))
>> drivers/md/raid6int8.c:185: confused by earlier errors, bailing out
>> make[2]: *** [drivers/md/raid6int8.o] Error 1
>> make[1]: *** [drivers/md] Error 2
>> make: *** [drivers] Error 2
>>     
>
> That's a gcc bug.
>
> Which gcc version are you using?
I was using a RHEL4 machine (gcc version  3.4.6).  I just upgraded  gcc 
to 4.1.2, and the "problem"  just disappeared.  :-)

Thanks
Breon
--
To unsubscribe from this list: send the line "unsubscribe netdev" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Powered by blists - more mailing lists